## libnb-platform18-java 8.1+dfsg1

=== apisupport.harness/windows-launcher-src/Makefile ===
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL



# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post

.build-pre: .build-pre-$(CONF)
# Add your pre 'build' code here...

.build-pre-app.exe: app.rc
	windres -oapp.res -Ocoff app.rc

.build-pre-app64.exe: app.rc
	x86_64-w64-mingw32-windres.exe -oapp64.res -Ocoff app.rc

.build-post: .build-impl
# Add your post 'build' code here...	



# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== ide/launcher/windows/Makefile ===
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL



# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post-$(CONF)

.build-pre: .build-pre-$(CONF)
# Add your pre 'build' code here...

.build-pre-netbeans.exe: netbeans.rc
	windres -DMANIFEST_FILE="netbeans.exe.manifest" -onetbeans.res -Ocoff netbeans.rc

.build-pre-netbeans64.exe: netbeans.rc
	x86_64-w64-mingw32-windres.exe -DMANIFEST_FILE="netbeans64.exe.manifest" -onetbeans64.res -Ocoff netbeans.rc

.build-post-netbeans.exe: .build-impl
	cp netbeans.exe ../../../nbbuild/netbeans/bin/netbeans.exe
	
.build-post-netbeans64.exe: .build-impl
	cp netbeans64.exe ../../../nbbuild/netbeans/bin/netbeans64.exe

											

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== o.n.bootstrap/launcher/windows/Makefile ===
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post-$(CONF)

.build-pre:
# Add your pre 'build' code here...

.build-post-nbexec: .build-impl nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	windres.exe -Ocoff nbexec_exe.rc nbexec_exe.res
	g++ -s -mno-cygwin -Wl,--nxcompat -Wl,--dynamicbase -Wl,--no-seh -DNBEXEC_DLL=\"nbexec.dll\" nbexecexe.cpp utilsfuncs.cpp nbexec_exe.res -o nbexec.exe
	cp nbexec.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec.dll ../../../nbbuild/netbeans/platform/lib/
	
.build-post-nbexec64: .build-impl nbexecexe.cpp nbexecloader.h utilsfuncs.cpp nbexec_exe.rc
	x86_64-w64-mingw32-windres.exe -Ocoff nbexec_exe.rc nbexec_exe64.res 
	x86_64-w64-mingw32-g++.exe -m64 -s -mno-cygwin -Wl,--nxcompat -Wl,--dynamicbase -DNBEXEC_DLL=\"nbexec64.dll\" -static-libgcc -static-libstdc++ nbexecexe.cpp utilsfuncs.cpp nbexec_exe64.res -o nbexec64.exe 
	cp nbexec64.exe ../../../nbbuild/netbeans/platform/lib/
	cp nbexec64.dll ../../../nbbuild/netbeans/platform/lib/



# clean
clean: .clean-post-$(CONF)

.clean-pre:
# Add your pre 'clean' code here...

.clean-post-nbexec: .clean-impl
	rm -f nbexec_exe32.res nbexec32.exe
	
.clean-post-nbexec64: .clean-impl
	rm -f nbexec_exe64.res nbexec64.exe



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== nbi/engine/native/jnilib/solaris-sparc/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU General Public
# License Version 2 only ("GPL") or the Common Development and Distribution
# License("CDDL") (collectively, the "License"). You may not use this file except in
# compliance with the License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html or nbbuild/licenses/CDDL-GPL-2-CP. See the
# License for the specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header Notice in
# each file and include the License file at nbbuild/licenses/CDDL-GPL-2-CP.  Oracle
# designates this particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that accompanied this code.
# If applicable, add the following below the License Header, with the fields enclosed
# by brackets [] replaced by your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Contributor(s):
# 
# The Original Software is NetBeans. The Initial Developer of the Original Software
# is Sun Microsystems, Inc. Portions Copyright 1997-2007 Sun Microsystems, Inc. All
# Rights Reserved.
# 
# If you wish your version of this file to be governed by only the CDDL or only the
# GPL Version 2, indicate your decision by adding "[Contributor] elects to include
# this software in this distribution under the [CDDL or GPL Version 2] license." If
# you do not indicate a single choice of license, a recipient has the option to
# distribute your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above. However, if you
# add GPL Version 2 code and therefore, elected the GPL Version 2 license, then the
# option applies only if the new code is made subject to such option by the copyright
# holder.
# 

#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-pre .build-impl .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post:
# Add your post 'build' code here...


# clean
clean: .clean-pre .clean-impl .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post:
# Add your post 'clean' code here...


# clobber
clobber: .clobber-pre .clobber-impl .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post:
# Add your post 'clobber' code here...


# all
all: .all-pre .all-impl .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post:
# Add your post 'all' code here...


# help
help: .help-pre .help-impl .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post:
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== debian/changelog ===
libnb-platform18-java (8.1+dfsg1-7) unstable; urgency=medium

  * Sync osgi-update.patch with latest version of libequinox-osgi-java.
  * Use compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Tighten B-D on libequinox-osgi-java.

 -- Markus Koschany <apo@debian.org>  Wed, 21 Feb 2018 17:27:35 +0100

libnb-platform18-java (8.1+dfsg1-6) unstable; urgency=medium

  * Add jna-4.4.0-compatibility.patch and fix FTBFS with JNA 4.4.0.
    Thanks to Lucas Nussbaum for the report. (Closes: #868923)
  * Switch to compat level 10.
  * Use https for Format field.
  * Declare compliance with Debian Policy 4.0.0.
  * Tighten B-D on libjna-platform-java to >= 4.4.0.

 -- Markus Koschany <apo@debian.org>  Sun, 23 Jul 2017 17:22:32 +0200

libnb-platform18-java (8.1+dfsg1-5) unstable; urgency=medium

  * Use the correct name for libjna-jni library. (Closes: #858876)

 -- Markus Koschany <apo@debian.org>  Wed, 19 Apr 2017 21:50:21 +0200

libnb-platform18-java (8.1+dfsg1-4) unstable; urgency=medium

  * Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6. (Closes: #835691)
    Thanks to Lucas Nussbaum for the report.

 -- Markus Koschany <apo@debian.org>  Sun, 28 Aug 2016 17:59:56 +0200

libnb-platform18-java (8.1+dfsg1-3) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Git: Use https.
  * Set permit.jdk8.builds=true.
  * Fix include path to find jni_md.h.
    Thanks to Lucas Nussbaum for the report. (Closes: #830455)

 -- Markus Koschany <apo@debian.org>  Fri, 15 Jul 2016 02:06:50 +0200

libnb-platform18-java (8.1+dfsg1-2) unstable; urgency=medium

  * netbeans-platform-o.n.html.ko4j.patch: Readd apisupport.project module.

 -- Markus Koschany <apo@debian.org>  Thu, 31 Dec 2015 11:46:37 +0100

libnb-platform18-java (8.1+dfsg1-1) unstable; urgency=medium

  * Imported Upstream version 8.1+dfsg1.
  * orig-tar.sh: Use xz compression.
  * debian/rules: Remove conditional whether patches are applied or not.
  * Drop debian/patches/netbeans-platform-junit4.patch. Fixed upstream.
  * Refresh debian/patches/netbeans-platform-empty-binaries-list.patch
  * Refresh debian/patches/netbeans-platform-windowslauncher.patch
  * Add asm4-all.jar to linked-jars and build-depend on libasm4-java.
  * Add libhamcrest-java to Build-Depends and update linked-jars accordingly.
  * Add netbeans-platform-disable-net.java-modules.patch and disable the
    net.java.html module.
  * Add netbeans-platform-junitlib.patch to prevent a FTBFS.
  * Add netbeans-platform-o.n.html.ko4j.patch and disable o.n.html.ko4j module.
  * Update version of openide-* pom files.
  * Update my e-mail address.
  * libnb-platform18-java: Depend on libasm4-java and libhamcrest-java.
  * Install org-openide-util-ui.jar into libnb-org-openide-util-java.
    Apparently the old org-openide-util.jar was split into two jar files.
  * libnb-platform-devel-java: Tighten dependency on libnb-platform18-java.
  * debian/rules: Build with --parallel.

 -- Markus Koschany <apo@debian.org>  Wed, 30 Dec 2015 11:48:31 +0100

libnb-platform18-java (8.0.2+dfsg1-2) unstable; urgency=medium

  * Tighten dependency on felix-framework, osgi-core and osgi-compendium.
    Thanks to Mark Carroll for the report. (Closes: #799936)
  * Remove libstringtemplate-java from Build-Depends and do not symlink
    the jar file with linked-jars.
  * Tighten dependency on antlr3 to >= 3.4.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@gambaru.de>  Thu, 24 Sep 2015 19:28:21 +0200

=== debian/control ===
Source: libnb-platform18-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrew Ross <ubuntu@rossfamily.co.uk>,
 Markus Koschany <apo@debian.org>
Build-Depends:
 ant (>= 1.7.0),
 ant-optional (>= 1.7.0),
 antlr3 (>= 3.4),
 debhelper (>= 11),
 default-jdk,
 g++-mingw-w64-i686,
 g++-mingw-w64-x86-64,
 javacc,
 javahelp2,
 javahelper,
 junit,
 junit4 (>= 4.6),
 libasm4-java,
 libbindex-java,
 libequinox-osgi-java (>= 3.9.1),
 libfelix-framework-java (>= 4.6.1),
 libfelix-main-java,
 libhamcrest-java,
 libjemmy2-java,
 libjna-platform-java (>= 4.4.0),
 libjnlp-servlet-java,
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libswing-layout-java (>= 1.0.3),
 maven-repo-helper,
 rdfind,
 symlinks,
 testng (>=6.8),
 w3c-sgml-lib
Standards-Version: 4.1.3
Vcs-Git: https://anonscm.debian.org/git/pkg-java/libnb-platform-java.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libnb-platform-java.git
Homepage: http://netbeans.org/

Package: libnb-platform18-java
Architecture: all
Depends:
 antlr3 (>= 3.4),
 javahelp2,
 junit4 (>= 4.6),
 libasm4-java,
 libequinox-osgi-java,
 libfelix-framework-java (>= 4.6.1),
 libfelix-main-java,
 libhamcrest-java,
 libjna-platform-java,
 libnb-org-openide-modules-java (>= ${source:Version}),
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 libosgi-compendium-java (>= 5.0.0),
 libosgi-core-java (>= 6.0.0),
 libswing-layout-java (>= 1.0.3),
 testng,
 ${java:Depends},
 ${misc:Depends}
Suggests:
 libnb-platform18-java-doc
Description: NetBeans Platform for building rich desktop applications in Java
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package provides the platform itself.

Package: libnb-platform-devel-java
Architecture: all
Depends:
 ant,
 javahelp2,
 libbindex-java,
 libjemmy2-java,
 libjnlp-servlet-java,
 libnb-platform18-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Build harness for NetBeans Platform
 The NetBeans Platform is a framework for building rich desktop applications
 in Java. It provides the code that is required to connect actions to menu
 items, toolbar items, keyboard shortcuts and more. It is the core of the
 NetBeans IDE.
 .
 This package contains the NetBeans Platform Harness containing the build
 scripts and ant tasks required to build an application on top of NetBeans
 Platform.

Package: libnb-platform18-java-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Recommends:
 ${java:Recommends}
Suggests:
 libnb-platform18-java
Description: NetBeans Platform javadoc
 NetBeans Platform is a set of modules, each providing their own APIs
 and working together or in a standalone mode. This package provides
 one master javadoc to all of them.

Package: libnb-org-openide-util-java
Architecture: all
Depends:
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions used by the modules that make up the platform.

Package: libnb-org-openide-util-lookup-java
Architecture: all
Depends:
 ${java:Depends},
 ${misc:Depends}
Description: Utility lookup classes from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for lookups and is used by the modules that make
 up the platform.

Package: libnb-org-openide-modules-java
Architecture: all
Depends:
 libnb-org-openide-util-java (>= ${source:Version}),
 libnb-org-openide-util-lookup-java (>= ${source:Version}),
 ${java:Depends},
 ${misc:Depends}
Description: Utility classes for modules from the NetBeans Platform
 The NetBeans Platform is a set of modules, each providing their own
 APIs and working together or in a standalone mode. This package provides
 some utility functions for managing NetBeans modules.

=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
# See #830455 and #814875 for more background information
include /usr/share/java/java_defaults.mk
CPPFLAGS += ${jvm_includes}

#package names
pkg-platform                := platform18
pkg-lib-platform            := libnb-$(pkg-platform)
libnb-platform-java         := $(pkg-lib-platform)-java
libnb-platform-java-doc     := $(pkg-lib-platform)-java-doc
libnb-platform-devel-java   := libnb-platform-devel-java

# Included clusters
base-platform := $(pkg-platform)

NBDIR          := /usr/share/netbeans
export JAVADIR := /usr/share/java

JH_JAR          := jhall.jar
JSEARCH_JAR     := jsearch.jar
NB_JH_JAR       := jhall-2.0_05.jar
NB_JSEARCH_JAR  := jsearch-2.0_05.jar

JAVADOC_WEBSITE := http://bits.netbeans.org/8.1/javadoc

NB_INSTALL_DIR := usr/share/netbeans

EXT_JAR_LINK_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/modules/ext/
LIB_DIR := $(NB_INSTALL_DIR)/$(pkg-platform)/lib/

INSTALL        := dh_install -p
LINK           := dh_link -p

NB_PLATFORM_BUILD_DIR := $(shell pwd)/nbbuild/netbeans/platform

DEB_UPSTREAM_VERSION = $(shell dpkg-parsechangelog | grep -e '^Version' | \
                               perl -pi -e 's/^Version:\s+(.*)\+dfsg\d+-\d+.*$$/$$1/')

BUILDSTAMP := $(shell date --utc --date="`dpkg-parsechangelog -SDate`" "+%Y%m%d")

# Defined function to be used to create symlinks
define symlink
	mkdir -p $(dir $(2))
	ln -sf $(1) $(2)
endef

%:
	dh $@ --with javahelper

override_dh_auto_build:
	# w3c-sgml-lib: needed for xml validation, otherwise FTBFS
	mkdir -p nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml1-20020801/xhtml* nbbuild/external/xhtml1-dtds
	ln -sf /usr/share/xml/w3c-sgml-lib/schema/dtd/REC-xhtml-modularization-20100729/xhtml* nbbuild/external/xhtml1-dtds
	# link Debian's system jars
	$(shell awk 'NF==4 {printf("ln -sf %s %s/%s;\n",$$1,$$2,$$4)}' debian/linked-jars)
	################################################################
	# Build the Windows launcher
	mkdir -p nbbuild/netbeans/platform/lib
	cd o.n.bootstrap/launcher/windows && LDFLAGS="" CONF="nbexec" make -e
	cd o.n.bootstrap/launcher/windows && LDFLAGS="" CONF="nbexec64" make -e
	cd apisupport.harness/windows-launcher-src && LDFLAGS="" CONF="app.exe" make -e
	cd apisupport.harness/windows-launcher-src && LDFLAGS="" CONF="app64.exe" make -e
	################################################################
	# Build the platform. DISPLAY must be unset to avoid build failures.
	unset DISPLAY; ant \
	-Dbuildstamp=$(BUILDSTAMP) \
	-Dhg.id=debian-$(DEB_UPSTREAM_VERSION) \
	-Dpermit.jdk8.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dext.binaries.downloaded=true \
	-Dverify.checkout=false \
	-f nbbuild/build.xml build-platform
	################################################################
	# Build javadoc package
	# Fix privacy breach logo and generic first
	grep -rl "netbeans.org/favicon.ico" nbbuild/javadoctools/ | xargs sed -i \
		's|href="http://www.netbeans.org/favicon.ico"||g'
	grep -rl "NetBeansPlatformForBeginners.jpg" openide*/ | xargs sed -i \
		's|http://wiki.apidesign.org/images/0/03/NetBeansPlatformForBeginners.jpg||g'
	ant \
	-Dpermit.jdk8.builds=true \
	-Dbuild.compiler.deprecation=false \
	-Dbuild.compiler.debug=false \
	-Dverify.checkout=false \
	-Dallmodules= \
	-Dcluster.config=platform \
	-Djavadoc.docs.org-netbeans-api-java=$(JAVADOC_WEBSITE)/org-netbeans-api-java/ \
	-Djavadoc.docs.org-netbeans-modules-project-ant=$(JAVADOC_WEBSITE)/org-netbeans-modules-project-ant/ \
	-Djavadoc.docs.org-netbeans-modules-projectapi=$(JAVADOC_WEBSITE)/org-netbeans-modules-projectapi/ \
	-f nbbuild/build.xml build-javadoc
	# remove the zip files - we only want the extracted files
	$(RM) nbbuild/build/javadoc/*.zip
	rdfind -outputname /dev/null -makesymlinks true nbbuild/build/javadoc
	symlinks -rsc nbbuild/build/javadoc


override_dh_auto_install:
	# recreate links
	$(shell awk 'NF==4 {printf("ln -sf %s nbbuild/netbeans/%s/%s;\n",$$1,$$3,$$4)}' debian/linked-jars)
	# Install libraries
	mh_installjar -plibnb-org-openide-util-java -l debian/pom/openide-util.xml \
		nbbuild/netbeans/platform/lib/org-openide-util.jar
	mh_installpom -plibnb-org-openide-util-java debian/pom/openide-util.xml
	mh_installjar -plibnb-org-openide-util-java -l debian/pom/openide-util-ui.xml \
		nbbuild/netbeans/platform/lib/org-openide-util-ui.jar
	mh_installpom -plibnb-org-openide-util-java debian/pom/openide-util-ui.xml
	mh_installjar -plibnb-org-openide-util-lookup-java -l debian/pom/openide-util-lookup.xml \
		nbbuild/netbeans/platform/lib/org-openide-util-lookup.jar
	mh_installpom -plibnb-org-openide-util-lookup-java debian/pom/openide-util-lookup.xml
	mh_installjar -plibnb-org-openide-modules-java -l debian/pom/openide-modules.xml \
		nbbuild/netbeans/platform/lib/org-openide-modules.jar
	mh_installpom -plibnb-org-openide-modules-java debian/pom/openide-modules.xml
	#
	# Install Platform
	echo > nbbuild/netbeans/platform/.noautoupdate
	echo > nbbuild/netbeans/platform/.lastModified
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/* $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.noautoupdate $(NB_INSTALL_DIR)/$(pkg-platform)
	$(INSTALL)$(libnb-platform-java)   nbbuild/netbeans/platform/.lastModified $(NB_INSTALL_DIR)/$(pkg-platform)
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util.jar        $(LIB_DIR)/org-openide-util.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util-ui.jar     $(LIB_DIR)/org-openide-util-ui.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-util-lookup.jar $(LIB_DIR)/org-openide-util-lookup.jar
	$(LINK)$(libnb-platform-java) $(JAVADIR)/org-openide-modules.jar     $(LIB_DIR)/org-openide-modules.jar
	#
	# Install devel package
	rm -f nbbuild/netbeans/harness/antlib/$(NB_JSEARCH_JAR)
	echo > nbbuild/netbeans/harness/.noautoupdate
	echo > nbbuild/netbeans/harness/.lastModified
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/* $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.noautoupdate $(NB_INSTALL_DIR)/harness
	$(INSTALL)$(libnb-platform-devel-java)   nbbuild/netbeans/harness/.lastModified $(NB_INSTALL_DIR)/harness
	#
	#Fixing permissions
	chmod 0755 debian/$(libnb-platform-devel-java)/$(NB_INSTALL_DIR)/harness/launchers/app.sh

override_dh_auto_clean:
	$(RM) stamp-build-$(libnb-platform-java)
	$(RM) stamp-build-$(libnb-platform-devel-java)
	$(RM) stamp-build-$(libnb-platform-java-doc)
	$(call symlink, $(JAVADIR)/$(JH_JAR), javahelp/external/$(NB_JH_JAR))
	$(call symlink, $(JAVADIR)/$(JSEARCH_JAR), apisupport.harness/external/$(NB_JSEARCH_JAR))
	ant -Dpermit.jdk8.builds=true -f nbbuild/build.xml clean
	cd o.n.bootstrap/launcher/windows && CONF="nbexec" make -e clean
	cd o.n.bootstrap/launcher/windows && CONF="nbexec64" make -e clean
	cd apisupport.harness/windows-launcher-src && CONF="app.exe" make -e clean
	cd apisupport.harness/windows-launcher-src && CONF="app64.exe" make -e clean
	mh_clean
	# remove all the symlinks to jar files we created
	find . -name "*.jar" -type l -delete
	$(RM) -r nbbuild/external/xhtml1-dtds
	$(RM) nbbuild/nbproject/private/scan-cache-standard.ser
	$(RM) o.n.bootstrap/launcher/windows/nbexec_exe.res

override_jh_depends:
	# Skipping jh_depends run - since we use symlinks to /usr/share/java then
	# jh_depends gets it wrong.

get-orig-source:
	uscan --download-current-version --force-download --no-symlink

## libnb-platform18-java 10.0

=== ide/dlight.nativeexecution/tools/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

INSTALLDIR = /dev/null

testit :sh= uname -s

#CFLAGS-Windows_XP := -mno-cygwin
CFLAGS-Linux := -fPIC -Wl,--hash-style=sysv
CFLAGS-SunOS := -fPIC
CFLAGS-Mac_OS_X := -fPIC
LDFLAGS-SunOS := -lposix4

PLATFORM_DIR = $(CONF)

CF_Linux-x86	    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32
CF_Linux-x86_64	    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-sparc_64   = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-arm	    = -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86	    = -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64    = -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc	    = -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-sparc_64   = -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86	    = -DSOLARIS -m32
CF_SunOS-x86_64	    = -DSOLARIS -m64
CF_Windows-x86	    = -DWINDOWS -m32
CF_Windows-x86_64   = -DWINDOWS -m32 # ?

LF_Windows-x86    = --static-libgcc
LF_Windows-x86_64 = --static-libgcc

CFLAGS := $(CF_$(CONF)) $(CFLAGS_EXTRA)
LDFLAGS := $(LF_$(CONF)) $(LDFLAGS_EXTRA)

CC=gcc

CFLAGS += $(CFLAGS-$(OSFAMILY))
LDFLAGS += $(LDFLAGS-$(OSFAMILY))

DIST=../release/bin/nativeexecution
BUILD=./build

APP_PATH=${DIST}/${PLATFORM_DIR}

all: init privp process_start pty_open sigqueue stat

privp: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

process_start: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

pty_open: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

sigqueue: init
	${CC} ${CFLAGS} ${LDFLAGS} -o ${APP_PATH}/$@ $@.c

stat: init
	${CC} ${CFLAGS} -o ${APP_PATH}/$@ $@.c

clean:
	rm -rf ${APP_PATH} ${DIST}/${PLATFORM_DIR}

cleanall:
	rm -rf ${BUILD} ${DIST}

init: check
	@mkdir -p ${APP_PATH} ${DIST}/${PLATFORM_DIR}

check:
	@if [ -n "$(testit)" ]; \
	then \
		echo "Error: You must use GNU make"; \
		exit 1; \
	fi
	
	@if [ "${PLATFORM_DIR}" = "" ]; \
	then \
		echo "PLATFORM_DIR undefined"; \
		exit 1; \
	fi

=== nb/ide.launcher/windows/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL



# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib



# build
build: .build-post-$(CONF)

.build-pre: .build-pre-$(CONF)
# Add your pre 'build' code here...

.build-pre-netbeans.exe: netbeans.rc
	windres -DMANIFEST_FILE="netbeans.exe.manifest" -onetbeans.res -Ocoff netbeans.rc

.build-pre-netbeans64.exe: netbeans.rc
	x86_64-w64-mingw32-windres.exe -DMANIFEST_FILE="netbeans64.exe.manifest" -onetbeans64.res -Ocoff netbeans.rc

.build-post-netbeans.exe: .build-impl
	cp netbeans.exe ../../../nbbuild/netbeans/bin/netbeans.exe
	
.build-post-netbeans64.exe: .build-impl
	cp netbeans64.exe ../../../nbbuild/netbeans/bin/netbeans64.exe

											

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...



# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...



# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...



# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

=== webcommon/cordova.platforms.ios/iDeviceNativeBinding/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# build tests
build-tests: .build-tests-post

.build-tests-pre:
# Add your pre 'build-tests' code here...

.build-tests-post: .build-tests-impl
# Add your post 'build-tests' code here...


# run tests
test: .test-post

.test-pre: build-tests
# Add your pre 'test' code here...

.test-post: .test-impl
# Add your post 'test' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== ide/dlight.nativeexecution/tools/pty/Makefile ===
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

MAKEFILE = $(shell echo gmake)
MAKEFILE:sh = echo make
ROOT_DIR = $(shell pwd)
ROOT_DIR:sh = pwd

PNAME=pty

CC=gcc

SOURCES=\
	$(ROOT_DIR)/src/env.c \
	$(ROOT_DIR)/src/error.c \
	$(ROOT_DIR)/src/loop.c \
	$(ROOT_DIR)/src/options.c \
	$(ROOT_DIR)/src/pty_fork.c \
	$(ROOT_DIR)/src/pty.c \
	$(ROOT_DIR)/src/util.c

SRC_DIRS=\
	$(ROOT_DIR)/src

MKDIR=mkdir -p
OBJ_DIR=$(ROOT_DIR)/build/$(CONF)
DIST_DIR=$(ROOT_DIR)/dist/$(CONF)
INSTALL_DIR=../../release/bin/nativeexecution/$(CONF)
LINE=sh $(ROOT_DIR)/make/line

EXEC=$(DIST_DIR)/$(PNAME)


CF_COMMON         = --std=c99

CF_Linux-x86      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m32 
CF_Linux-x86_64   = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-sparc_64 = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -m64
CF_Linux-arm      = $(CF_COMMON) -DLINUX   -D_GNU_SOURCE -D_XOPEN_SOURCE=700 -std=c99
CF_MacOSX-x86     = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m32
CF_MacOSX-x86_64  = $(CF_COMMON) -DMAXOSX  -D_DARWIN_C_SOURCE -m64
CF_SunOS-sparc    = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-sparc_64 = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_SunOS-x86      = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m32
CF_SunOS-x86_64   = $(CF_COMMON) -DSOLARIS -D__EXTENSIONS__ -m64
CF_Windows-x86    = $(CF_COMMON) -DWINDOWS -m32
CF_Windows-x86_64 = $(CF_COMMON) -DWINDOWS -m64 # -m32
 
LF_Windows-x86    = # --static-libgcc
LF_Windows-x86_64 = # --static-libgcc

CFLAGS=$(CF_$(CONF)) $(CFLAGS_EXTRA)
LDFLAGS=$(LF_$(CONF)) $(LDFLAGS_EXTRA)

all: $(EXEC)
	@$(LINE) =
	@echo $(EXEC); echo
	@ls -la $(EXEC) | sed "s#$(EXEC)##"
	@FILE=`(ls /bin/file || ls /usr/bin/file) 2>/dev/null`; \
	   if [ -n "$${FILE}" ]; then $${FILE} ${EXEC} | sed "s#$(EXEC):.##"; fi
	@$(LINE) =

include $(ROOT_DIR)/make/Makefile.$(MAKEFILE)

$(EXEC): $(DIST_DIR) $(OBJS)
	@$(LINE) -
	$(LINK.c) -o $@ $(OBJS)

$(OBJ_DIRS) $(DIST_DIR):
	$(MKDIR) $@

clean: clean_deps
	$(RM) -r $(OBJ_DIR) $(DIST_DIR)

clean-all:
	$(RM) -r $(ROOT_DIR)/build
	$(RM) -r $(ROOT_DIR)/dist
	$(RM) .make.state*

install:
	cp $(EXEC) $(INSTALL_DIR)

=== nbi/engine/native/launcher/windows/Makefile ===
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#   http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.
# 

#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#

# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib
RESCOMP=windres


# build
build: .build-pre .build-impl .build-post

.build-pre:
	mkdir -p build
	windres -I resources -o  build/icon.o -i resources/res.rc

.build-post:
# Add your post 'build' code here...


# clean
clean: .clean-pre .clean-impl .clean-post

.clean-pre:
	rm -rf build/icon.o

.clean-post:
# Add your post 'clean' code here...


# clobber
clobber: .clobber-pre .clobber-impl .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post:
# Add your post 'clobber' code here...


# all
all: .all-pre .all-impl .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post:
# Add your post 'all' code here...


# help
help: .help-pre .help-impl .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post:
# Add your post 'help' code here...

# include project implementation makefile
include nbproject/Makefile-impl.mk

=== debian/changelog ===
libnb-platform18-java (10.0-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:56:28 +0000

libnb-platform18-java (10.0-2) unstable; urgency=medium

  * Update platform-osgi-update.patch and return an
    UnsupportedOperationException instead of a NULL pointer.
  * Add AutoUpdate-NEVER.patch and set the defaultCheckInterval to NEVER to
    prevent automatic updates. This can be changed by users individually.
    (Closes: #842284)
  * Remove antlr-runtime symlink because it is not platform specific.

 -- Markus Koschany <apo@debian.org>  Fri, 25 Jan 2019 12:21:05 +0100

libnb-platform18-java (10.0-1) unstable; urgency=medium

  * New upstream version 10.0.
    - Fix FTBFS. (Closes: #876499)
  * Drop libnb-platform18-java-doc package.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Jan 2019 14:39:07 +0100

libnb-platform18-java (8.1+dfsg1-8) unstable; urgency=medium

  * Add ant-10.patch to fix the FTBFS with Ant 1.10.
  * Add java9.patch and openide.util.enumerations.patch to fix the FTBFS with
    Java 9. (Closes: #893270)
  * Declare compliance with Debian Policy 4.1.4.

 -- Markus Koschany <apo@debian.org>  Tue, 24 Apr 2018 20:00:46 +0200

=== debian/control ===
--- 
+++ 
@@ -11,34 +11,31 @@
  antlr3 (>= 3.4),
  debhelper (>= 11),
  default-jdk,
- g++-mingw-w64-i686,
- g++-mingw-w64-x86-64,
  javacc,
  javahelp2,
  javahelper,
  junit,
  junit4 (>= 4.6),
- libasm4-java,
+ libasm-java (>= 7.0),
  libbindex-java,
- libequinox-osgi-java (>= 3.9.1),
+ libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
  libhamcrest-java,
  libjemmy2-java,
  libjna-platform-java (>= 4.4.0),
- libjnlp-servlet-java,
+ libjsr305-java,
  libosgi-compendium-java (>= 5.0.0),
  libosgi-core-java (>= 6.0.0),
  libswing-layout-java (>= 1.0.3),
  maven-repo-helper,
  rdfind,
  symlinks,
- testng (>=6.8),
- w3c-sgml-lib
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-java/libnb-platform-java.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/libnb-platform-java.git
-Homepage: http://netbeans.org/
+ testng (>=6.8)
+Standards-Version: 4.3.0
+Vcs-Git: https://salsa.debian.org/java-team/libnb-platform-java.git
+Vcs-Browser: https://salsa.debian.org/java-team/libnb-platform-java
+Homepage: https://netbeans.org/
 
 Package: libnb-platform18-java
 Architecture: all
@@ -46,12 +43,13 @@
  antlr3 (>= 3.4),
  javahelp2,
  junit4 (>= 4.6),
- libasm4-java,
- libequinox-osgi-java,
+ libasm-java (>= 7.0),
+ libequinox-osgi-java (>= 3.9.1-4),
  libfelix-framework-java (>= 4.6.1),
  libfelix-main-java,
  libhamcrest-java,
  libjna-platform-java,
+ libjsr305-java,
  libnb-org-openide-modules-java (>= ${source:Version}),
  libnb-org-openide-util-java (>= ${source:Version}),
  libnb-org-openide-util-lookup-java (>= ${source:Version}),
@@ -61,8 +59,6 @@
  testng,
  ${java:Depends},
  ${misc:Depends}
-Suggests:
- libnb-platform18-java-doc
 Description: NetBeans Platform for building rich desktop applications in Java
  The NetBeans Platform is a framework for building rich desktop applications
  in Java. It provides the code that is required to connect actions to menu
@@ -91,20 +87,6 @@
  This package contains the NetBeans Platform Harness containing the build
  scripts and ant tasks required to build an application on top of NetBeans
  Platform.
-
-Package: libnb-platform18-java-doc
-Architecture: all
-Section: doc
-Depends:
- ${misc:Depends}
-Recommends:
- ${java:Recommends}
-Suggests:
- libnb-platform18-java
-Description: NetBeans Platform javadoc
- NetBeans Platform is a set of modules, each providing their own APIs
- and working together or in a standalone mode. This package provides
- one master javadoc to all of them.
 
 Package: libnb-org-openide-util-java
 Architecture: all

=== debian/watch ===
# The sources can be downloaded from https://netbeans.org/downloads/zip.html
# but this site requires Javascript. The old site returns an 500 error message.
#version=3
#opts=dversionmangle=s/\+dfsg\d*$//,downloadurlmangle=s/$/final\/zip/ \
#http://dlc.sun.com.edgesuite.net/netbeans/ ([0-9.]+)/ debian debian/orig-tar.sh
